package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;

@XmlType(
   name = "EDIServerRunStatus"
)
@XmlEnum
public enum EDIServerRunStatus {
   INITIALIZING,
   RUNNING,
   SHUTTING_DOWN,
   STOPPING,
   ABORTING;

   public String value() {
      return this.name();
   }

   public static EDIServerRunStatus fromValue(String v) {
      return valueOf(v);
   }
}
